using ComputerShopContracts.BindingModels;
using ComputerShopContracts.SearchModels;
using ComputerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.StorageContracts
{
    public interface IPurchaseStorage
    {
        List<PurchaseViewModel> GetFullList();
        List<PurchaseViewModel> GetFilteredList(PurchaseSearchModel model);
        PurchaseViewModel? GetElement(PurchaseSearchModel model);
        PurchaseViewModel? Insert(PurchaseBindingModel model);
        PurchaseViewModel? Update(PurchaseBindingModel model);
        PurchaseViewModel? Delete(PurchaseBindingModel model);
    }
}
